Package org.gradle.tooling

# Interface TestAssertionFailure

All Superinterfaces:
  `Failure`, `TestFailure`

All Known Subinterfaces:
  `FileComparisonTestAssertionFailure`

@Incubating public interface TestAssertionFailure extends TestFailure
Represent a test assertion failure where the test fails due to a broken assertion.

Since:
  7.6

- ## Method Summary

  Modifier and Type
  Method
  Description
  `@Nullable String`
  `getActual()`
  Returns the string representation of the actual value.
  `@Nullable String`
  `getExpected()`
  Returns the string representation of the expected value.

  ### Methods inherited from interface org.gradle.tooling.Failure

  `getCauses, getDescription, getMessage, getProblems`

  ### Methods inherited from interface org.gradle.tooling.TestFailure

  `getClassName, getStacktrace`

- ## Method Details

  - ### getExpected

    @Nullable String getExpected()
    Returns the string representation of the expected value.
    Returns:
      the expected value or `null` if the test framework doesn't supply detailed information on assertion failures

  - ### getActual

    @Nullable String getActual()
    Returns the string representation of the actual value.
    Returns:
      the actual value or `null` if the test framework doesn't supply detailed information on assertion failures